org.eclipse.emf.compare.ide.ui.logical

## Interface IModelMinimizer.Registry

All Known Implementing Classes:
  ModelMinimizerRegistry

Enclosing interface:
  IModelMinimizer

    public static interface IModelMinimizer.Registry

A registry for model minimizers.

Since:
  4.4

### Method Summary

All Methods Instance Methods Abstract Methods
`IModelMinimizer` `addMinimizer(IModelMinimizer minimizer)` Add the given `minimizer` to this registry.
`CompoundModelMinimizer` `getCompoundMinimizer()` Returns a minimizer containing all registered minimizers.
`List<IModelMinimizer>` `getModelMinimizers()` Returns the list of registered model minimizers.
`IModelMinimizer` `removeMinimizer(String className)` Removes the `minimizer` registered within this registry with the given class name.

### Method Detail

#### getModelMinimizers

    List<IModelMinimizer> getModelMinimizers()

Returns the list of registered model minimizers.

Returns:
  the list of registered model minimizers.

#### addMinimizer

    IModelMinimizer addMinimizer(IModelMinimizer minimizer)

Add the given `minimizer` to this registry.

Parameters:
  `minimizer` - the minimizer to be added.
Returns:
  the previous value associated with the class name of the given `minimizer`.

#### removeMinimizer

    IModelMinimizer removeMinimizer(String className)

Removes the `minimizer` registered within this registry with the given class name.

Parameters:
  `className` - the class name of a previously registered `minimizer`.
Returns:
  the previously registered `minimizer` or null if none was registered.

#### getCompoundMinimizer

    CompoundModelMinimizer getCompoundMinimizer()

Returns a minimizer containing all registered minimizers.

Returns:
  a new compound minimizer with all registered minimizers.